GET
/v1/BankAccount/{id}/Pix/Key/Claim/{claimId}Banking · Chaves PIX
Consultar reivindicação por Id
Consulta Bank Account pelo identificador informado na rota.
Visão geral
Consultar reivindicação por Id
Autenticação e pré-requisitos
Requer autenticação. Envie o token no header Authorization: Bearer {{token}} (JWT do AWS Cognito). Integrações servidor-a-servidor podem usar X-Api-Key. Todo tráfego é HTTPS e a credencial nunca vai na URL nem em query string.
Pré-requisitos: a rota exige identificador(es) de recurso já existente(s):
claimId— —id— —
Request
Parâmetros
| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
claimId | path | string | obrigatório | — | 3fa85f64-5717-4562-b3fc-2c963f66afa6 |
id | path | string | obrigatório | — | 3fa85f64-5717-4562-b3fc-2c963f66afa6 |
Corpo da requisição
Este endpoint não recebe corpo.
Response
Resposta 200.
Campos
| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
claim | objeto | opcional | — | objeto — ver detalhe abaixo | { … } |
claimantPerson | objeto | opcional | — | objeto — ver detalhe abaixo | { … } |
donorPerson | objeto | opcional | — | objeto — ver detalhe abaixo | { … } |
donorDataAccount | objeto | opcional | — | objeto — ver detalhe abaixo | { … } |
claimantDataAccount | objeto | opcional | — | objeto — ver detalhe abaixo | { … } |
pixKey | objeto | opcional | — | objeto — ver detalhe abaixo | { … } |
deadLine | string (date-time) | opcional | — | — | "2025-08-11T13:45:00Z" |
resolutionDeadLine | string (date-time) | opcional | — | — | "2025-08-11T13:45:00Z" |
lastRequest | string (date-time) | opcional | — | — | "2025-08-11T13:45:00Z" |
isDonorParticipant | boolean | opcional | — | — | true |
isClaimantParticipant | boolean | opcional | — | — | true |
isDonorPerson | boolean | opcional | — | — | true |
isClaimantPerson | boolean | opcional | — | — | true |
Detalhe de claim
| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
id | string | opcional | — | — | "texto" |
status | string | opcional | — | Open, Waiting_Resolution, Confirmed, Canceled, Finished | "Open" |
type | string | opcional | — | Ownership, Portability | "Ownership" |
cancelParticipant | string | opcional | — | — | "texto" |
confirmationReason | string | opcional | — | UserRequest, ClosingAccount, Fraud, StandardOperation | "UserRequest" |
cancelReason | string | opcional | — | UserRequest, ClosingAccount, Fraud, StandardOperation | "UserRequest" |
Detalhe de claimantPerson
| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
personType | string | opcional | — | — | "texto" |
registrationNumber | string | opcional | — | — | "12345678909" |
name | string | opcional | — | — | "Fulano de Tal" |
companyName | string | opcional | — | — | "Fulano de Tal" |
Detalhe de donorPerson
| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
personType | string | opcional | — | — | "texto" |
registrationNumber | string | opcional | — | — | "12345678909" |
name | string | opcional | — | — | "Fulano de Tal" |
companyName | string | opcional | — | — | "Fulano de Tal" |
Detalhe de donorDataAccount
| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
agency | string | opcional | — | — | "texto" |
accountNumber | string | opcional | — | — | "texto" |
accountType | string | opcional | — | CheckingAccount, SalaryAccount, SavingsAccount, Transactional | "CheckingAccount" |
openedAt | string (date-time) | opcional | — | — | "2025-08-11T13:45:00Z" |
ispb | string | opcional | — | — | "texto" |
bankName | string | opcional | — | — | "Fulano de Tal" |
Detalhe de claimantDataAccount
| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
agency | string | opcional | — | — | "texto" |
accountNumber | string | opcional | — | — | "texto" |
accountType | string | opcional | — | CheckingAccount, SalaryAccount, SavingsAccount, Transactional | "CheckingAccount" |
openedAt | string (date-time) | opcional | — | — | "2025-08-11T13:45:00Z" |
ispb | string | opcional | — | — | "texto" |
institutionName | string | opcional | — | — | "Fulano de Tal" |
Detalhe de pixKey
| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
type | string | opcional | — | NaturalRegistrationNumber, LegalRegistrationNumber, Phone, Email, Automatic, AgencyAndAccount | "NaturalRegistrationNumber" |
typeDisplay | string | opcional | — | — | "texto" |
pixKey | string | opcional | — | — | "texto" |
Exemplo de resposta
{
"claim": {
"id": "texto",
"status": "Open",
"type": "Ownership",
"cancelParticipant": "texto",
"confirmationReason": "UserRequest",
"cancelReason": "UserRequest"
},
"claimantPerson": {
"personType": "texto",
"registrationNumber": "12345678909",
"name": "Fulano de Tal",
"companyName": "Fulano de Tal"
},
"donorPerson": {
"personType": "texto",
"registrationNumber": "12345678909",
"name": "Fulano de Tal",
"companyName": "Fulano de Tal"
},
"donorDataAccount": {
"agency": "texto",
"accountNumber": "texto",
"accountType": "CheckingAccount",
"openedAt": "2025-08-11T13:45:00Z",
"ispb": "texto",
"bankName": "Fulano de Tal"
},
"claimantDataAccount": {
"agency": "texto",
"accountNumber": "texto",
"accountType": "CheckingAccount",
"openedAt": "2025-08-11T13:45:00Z",
"ispb": "texto",
"institutionName": "Fulano de Tal"
},
"pixKey": {
"type": "NaturalRegistrationNumber",
"typeDisplay": "texto",
"pixKey": "texto"
},
"deadLine": "2025-08-11T13:45:00Z",
"resolutionDeadLine": "2025-08-11T13:45:00Z",
"lastRequest": "2025-08-11T13:45:00Z",
"isDonorParticipant": true,
"isClaimantParticipant": true,
"isDonorPerson": true,
"isClaimantPerson": true
}Códigos de retorno
| Código | Significado | Detalhe do contrato |
|---|---|---|
200 | Requisição bem-sucedida. | — |
Exemplos
curl -X GET "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pix/Key/Claim/3fa85f64-5717-4562-b3fc-2c963f66afa6" \
-H "Authorization: Bearer {{token}}"var baseUrl = "{{baseUrl}}";
var token = "{{token}}";
using var http = new HttpClient { BaseAddress = new Uri(baseUrl) };
http.DefaultRequestHeaders.Authorization =
new AuthenticationHeaderValue("Bearer", token);
var rota = "/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pix/Key/Claim/3fa85f64-5717-4562-b3fc-2c963f66afa6";
var resp = await http.GetAsync(rota);
resp.EnsureSuccessStatusCode();
var json = await resp.Content.ReadAsStringAsync();const baseUrl = '{{baseUrl}}';
const token = '{{token}}';
const resp = await fetch(`${baseUrl}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pix/Key/Claim/3fa85f64-5717-4562-b3fc-2c963f66afa6`, {
method: 'GET',
headers: {
'Authorization': `Bearer ${token}`,
},
});
if (!resp.ok) throw new Error(`HTTP ${resp.status}`);
const data = await resp.json();Troque apenas {{baseUrl}} e {{token}}. No Postman, defina-os como variáveis de environment; o cURL importa em Import > Raw text.
Downloads
Este endpoint já vem configurado nas collections abaixo, na pasta da etapa correspondente.
Collection completaConsignado privado e FGTS, em pastas espelhando a documentação.Baixar →Environment do PostmanAs variáveis fora da collection, para versionar uma sem versionar o token.Baixar →Documentação consolidada para LLMToda a documentação em um arquivo de texto, na ordem da navegação.Baixar →Referência em MarkdownEste contrato, campo a campo, gerado do spec.Baixar →
Guia de importação: Como importar no Postman · Todos os downloads: Downloads